Service (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.service.Service interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.service
Interface Service

All Known Subinterfaces:
  Broker, BrokerClient, BrokerConnector, BrokerContainer, DiscoveryAgent, Dispatcher, MessageContainer, MessageContainerManager, MessageStore, PersistenceAdapter, PreparedTransactionStore, QueueMessageContainer, TopicMessageContainer, TopicMessageStore, TransactionManager, TransportChannel, TransportServerChannel

All Known Implementing Classes:
  ActiveMQConnectionFactory, BDbMessageStore, BDbMessageStore, BDbPreparedTransactionStore, BDbTopicMessageStore, BDbTopicMessageStore, BrokerClientImpl, BrokerConnectorImpl, BrokerContainerImpl, CacheMessageStore, CacheTopicMessageStore, DefaultBroker, DiscoveryAgentSupport, DispatcherImpl, DispatchWorker, DurableQueueMessageContainer, DurableTopicMessageContainer, GTransportServerChannel, HowlMessageStore, JDBCMessageStore, JDBCPreparedTransactionStore, JDBCTopicMessageStore, JdbmMessageStore, JdbmPreparedTransactionStore, JdbmTopicMessageStore, JournalMessageStore, MessageContainerManagerSupport, NetworkChannel, NetworkConnector, NetworkMessageBridge, PersistenceAdapterSupport, ProxyMessageContainerManager, TransactionManagerImpl, TransientQueueBoundedMessageContainer, TransientQueueBoundedMessageManager, TransientTopicBoundedMessageContainer, TransientTopicBoundedMessageManager, TransportChannelSupport, TransportServerChannelSupport, VMMessageStore, VMPreparedTransactionStoreImpl, VMTopicMessageStore

public interface Service

`Service` represents some service of some kind with a simple start/stop lifecycle.

Note that usually once a service has been stopped it should be discarded and a new service instance created again.

Version:
  $Revision: 1.7 $

Method Summary
`void` | `start()` Called to start the service
`void` | `stop()` Called to shutdown the service

Method Detail

### start

    public void start()
               throws JMSException

  Called to start the service

  Throws:
    `JMSException`

### stop

    public void stop()
              throws JMSException

  Called to shutdown the service

  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.